#! /bin/bash

if [[ "$USER" != "root" ]]; then
    echo "!!! Soyez ROOT via 'sudo su' !!!"
    exit -1
fi

echo "On lie le périphérique mobile au système"

echo "-> mkdir ~/.android"
mkdir ~/.android

echo "-> echo \"0x2207\" > ~/.android/adb_usb.ini"
echo "0x2207" > ~/.android/adb_usb.ini

echo "-> echo 'SUBSYSTEM==\"usb\", ATTR{idVendor}==\"2207\", MODE=\"0666\"' > /etc/udev/rules.d/51-android.rules"
echo 'SUBSYSTEM=="usb", ATTR{idVendor}=="2207", MODE="0666"' > /etc/udev/rules.d/51-android.rules

echo "-> /etc/init.d/udev restart"
/etc/init.d/udev restart

echo "!!! Brancher/Re-Brancher votre Périphérique !!!"
adb wait-for-device
adb devices

echo "Remontage de /system en lecture/écriture"
adb remount /system

echo "Copie de 'su' dans '/system/bin'"
adb push "$PWD/su" "/system/bin/su"

echo "Copie de 'su' dans '/system/xbin'"
adb push "$PWD/su" "/system/xbin/su"

echo "Copie de 'bash' dans '/system/bin'"
adb push "$PWD/bash" "/system/bin/bash"

echo "Copie de 'busybox' dans '/system/bin'"
adb push "$PWD/busybox" "/system/bin/busybox"

echo "Copie de 'busybox' dans '/system/xbin'"
adb push "$PWD/busybox" "/system/xbin/busybox"

echo "Copie de 'Remounter.apk' dans '/system/app'"
adb push "$PWD/Remounter.apk" "/system/app/Remounter.apk"

echo "Copie de 'Superuser.apk' dans '/system/app'"
adb push "$PWD/Superuser.apk" "/system/app/Superuser.apk"

echo "Copie du script de finalisation du root 'fix_root.sh' dans '/system/bin'"
adb push "$PWD/fix_root.sh" "/system/bin/fix_root.sh"

echo "-> adb shell:"
adb shell
